Tutte le app dovranno essere per iOS 7 dal 1 febbraio 2014

App Store iOS 7

I vecchi dispositivi mobili di Apple potrebbero vedere la caduta dell’interesse degli sviluppatori. Mentre iOS 7 si avvicina all’80% di copertura dei dispositivi con il sistema operativo mobile di Apple, precisamente attualmente è al 76%, la società fa una richiesta precisa agli sviluppatori.

Dal primo febbraio del prossimo anno, infatti, le applicazioni dovranno essere sviluppate con Xcode 5 per vedere la loro ammissione nell’App Store, questo significa che dovranno essere ottimizzate per iOS 7. Le applicazioni che pensano al passato e ai vecchi sistemi non saranno ammesse.

Il supporto ai sistemi operativi precedenti resta per le app già pubblicate, ma difficilmente gli sviluppatori saranno disposti a impiegare investimenti per supportare una percentuale bassa di dispositivi in commercio.

Andare a sviluppare il supporto per iOS 6 o 5, peggio ancora con 4, quando bisogna partire da iOS 7 diventerà un costo. Dietro questa mossa potrebbe esserci la lotta contro il jailbreak oppure, semplicemente, la volontà di offrire applicazioni sempre migliori.

  • Samtre

    Mah, contro il jailbreak dubito… Sarà questione di mesi, ma nessun sistema è impenetrabile e iOS7 prima o poi sarà bucato…
    Io opto per la richiesta di standard elevati.

  • Secondo me il problema è l’iOS7 che a molti non piace affatto! Tanti utenti si sono rifiutati di aggiornare i loro device. Ergo, la Apple cerca di obbligare quelli che ancora usano il System 6 di aggiornare, pena: l’impossibilità di aggiornare le applicazioni.

    Io ho un iPad 3 con l’iOS 6 e non ci penso minimamente di passare al nuovo System.
    In quanto allo smartphone, … (per va del OS7) sono già passato dall’altra parte.
    … HTC One. Prima avevo un iPhone4 …

  • Mattia Abbiati

    ma quindi le applicazioni che a febbraio non saranno aggiornate a ios7 verranno rimosse dall’app store?

    • No, le nuove non saranno accettate se non saranno ottimizzate per iOS 7

      • Mattia Abbiati

        quindi per chi vorrà scaricare nuove applicazioni da febbraio basterà guardare sono sono aggiornate da febbraio per essere sicuro che siano totalmete compatibili con ios7?